OpenVDB 12.1.0

Loading...
Searching...
No Matches
SetVoxel< BuildT > Struct Template Reference

`#include <nanovdb/NanoVDB.h>`

## Public Types
using | ValueT = typename NanoLeaf<BuildT>::ValueType

## Static Public Member Functions
static __hostdev__ void | set (NanoRoot< BuildT > &, const ValueT &)
static __hostdev__ void | set (typename NanoRoot< BuildT >::Tile &, const ValueT &)
static __hostdev__ void | set (NanoUpper< BuildT > &, uint32_t, const ValueT &)
static __hostdev__ void | set (NanoLower< BuildT > &, uint32_t, const ValueT &)
static __hostdev__ void | set (NanoLeaf< BuildT > &leaf, uint32_t n, const ValueT &v)

## Static Public Attributes
static constexpr int | LEVEL = 0

## Member Typedef Documentation

## ◆ ValueT

template<typename BuildT>

using ValueT = typename NanoLeaf<BuildT>::ValueType

## Member Function Documentation

## ◆ set() [1/5]

template<typename BuildT>

__hostdev__ void set | ( | NanoLeaf< BuildT > & | leaf,
|  | uint32_t | n,
|  | const ValueT & | v )
| inline static

## ◆ set() [2/5]

template<typename BuildT>

__hostdev__ void set | ( | NanoLower< BuildT > & | ,
|  | uint32_t | ,
|  | const ValueT & | )
| inline static

## ◆ set() [3/5]

template<typename BuildT>

__hostdev__ void set | ( | NanoRoot< BuildT > & | ,
|  | const ValueT & | )
| inline static

## ◆ set() [4/5]

template<typename BuildT>

__hostdev__ void set | ( | NanoUpper< BuildT > & | ,
|  | uint32_t | ,
|  | const ValueT & | )
| inline static

## ◆ set() [5/5]

template<typename BuildT>

__hostdev__ void set | ( | typename NanoRoot< BuildT >::Tile & | ,
|  | const ValueT & | )
| inline static

## Member Data Documentation

## ◆ LEVEL

template<typename BuildT>

int LEVEL = 0
| static constexpr